| Visioscan Set SDK Libraries 1.3.5 Visioscan Set SDK Help documentation file for C++ and C++/CLI |

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | Protected Member Functions | List of all members
UsbCommunication Class Reference

This class handles the USB communication. More...

`#include <UsbCommunication.h>`

Inheritance diagram for UsbCommunication:

## Public Member Functions
| UsbCommunication ()
| Base constructor.
| UsbCommunication (MONITORING_MODE monitoring)
| UsbCommunication (UsbSettings *settings)
| Copy constructor.
| UsbCommunication (UsbSettings *settings, MONITORING_MODE monitoring)
| Copy constructor.
| ~UsbCommunication ()
| Destructor.
CommunicationStatus | Connect ()
| Connects to the USB Device.
CommunicationStatus | Connect (bool reconnecting)
| Connects to the USB Device.
void | Disconnect ()
| Disconnect from the USB device.
string | SendCommand (string commandToSend)
| Send a string command on the appropriate communication channel media.
string | SendCommand (string commandToSend, int specificTimeout)
| Send a string command on the appropriate communication channel media
RawData | WaitForRawData (int waitTimeout, unsigned long *semStatus)
| Wait the callback to produce a RAW DATA. This method will wait on the appropriate semaphore to produce a data.

## Static Public Member Functions
static vector< UsbInformation > | GetDeviceList ()
| A static method that retrieve the devices wired to the computer throug USB.

## Public Attributes
const int | COMMAND_ACK_TIMEOUT = 20000
const int | MAX_SIZE_TO_READ = 40000

## Protected Member Functions
CommunicationStatus | GetConnectionStatus ()
| Returns the comminication status (NOT IMPLEMENTED FOR USB) -> Always return 0.

## Detailed Description

This class handles the USB communication.

## Constructor & Destructor Documentation

## ◆ UsbCommunication() [1/4]

UsbCommunication::UsbCommunication | ( |  | ) |

Base constructor.

## ◆ UsbCommunication() [2/4]

UsbCommunication::UsbCommunication | ( | MONITORING_MODE | monitoring | ) |

## ◆ UsbCommunication() [3/4]

UsbCommunication::UsbCommunication | ( | UsbSettings * | settings | ) |

Copy constructor.

## ◆ UsbCommunication() [4/4]

UsbCommunication::UsbCommunication | ( | UsbSettings * | settings,
|  | MONITORING_MODE | monitoring )

Copy constructor.

## ◆ ~UsbCommunication()

UsbCommunication::~UsbCommunication | ( |  | ) |

Destructor.

## Member Function Documentation

## ◆ Connect() [1/2]

CommunicationStatus UsbCommunication::Connect | ( |  | ) |

Connects to the USB Device.

## ◆ Connect() [2/2]

CommunicationStatus UsbCommunication::Connect | ( | bool | reconnecting | ) |

Connects to the USB Device.

Connects to the USB Device

## ◆ Disconnect()

void UsbCommunication::Disconnect | ( |  | ) |

Disconnect from the USB device.

## ◆ GetConnectionStatus()

CommunicationStatus UsbCommunication::GetConnectionStatus | ( |  | ) |
| protected

Returns the comminication status (NOT IMPLEMENTED FOR USB) -> Always return 0.

Returns
  Success = 0, -1 for failure

Returns
  Encapsulated result

## ◆ GetDeviceList()

vector< UsbInformation > UsbCommunication::GetDeviceList | ( |  | ) |
| static

A static method that retrieve the devices wired to the computer throug USB.

Returns
  A detailed list of conected devices

## ◆ SendCommand() [1/2]

string UsbCommunication::SendCommand | ( | string | commandToSend | ) |

Send a string command on the appropriate communication channel media.

Parameters

  commandToSend | The command to send as a string

Returns
  A string representing the command replied on the communication channel media

## ◆ SendCommand() [2/2]

string UsbCommunication::SendCommand | ( | string | commandToSend,
|  | int | specificTimeout )

Send a string command on the appropriate communication channel media

Parameters

  commandToSend | A string representing the command to be sent
  specificTimeout | A int representing the wished timeout in milliseconds

Returns

## ◆ WaitForRawData()

RawData UsbCommunication::WaitForRawData | ( | int | waitTimeout,
|  | unsigned long * | semStatus )

Wait the callback to produce a RAW DATA. This method will wait on the appropriate semaphore to produce a data.

Parameters

  waitTimeout | The amount of miliseconds the process has to wait befor being released
  semStatus | The status of the semaphore (updated by reference)

Returns
  A pointer to the RAW Data

Parameters

  waitTimeout | The amount of miliseconds the process has to wait befor being released
  semStatus | The status of the semaphore (updated by reference)

Returns
  A pointer to the RAW Data

## Member Data Documentation

## ◆ COMMAND_ACK_TIMEOUT

const int UsbCommunication::COMMAND_ACK_TIMEOUT = 20000

## ◆ MAX_SIZE_TO_READ

const int UsbCommunication::MAX_SIZE_TO_READ = 40000

The documentation for this class was generated from the following files:

- UsbCommunication.h
- UsbCommunication.cpp